Package ru.bitel.bgbilling.modules.tv.server.runtime.bean

# Class ProductRejectCause

java.lang.Object
ru.bitel.bgbilling.modules.tv.server.runtime.bean.ProductRejectCause

    public class ProductRejectCause
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductRejectCause()` |
  `ProductRejectCause​(ProductRejectCause other)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractStatus()` |
  `int` | `getDeviceState()` |
  `boolean` | `isReject()` |
  `boolean` | `isRejectByContractStatus()` |
  `boolean` | `isRejectByDeviceState()` |
  `boolean` | `isRejectBySecondary()` |
  `void` | `setRejectByContractStatus​(int contractStatus, boolean reject)` |
  `void` | `setRejectByDeviceState​(int deviceState, boolean reject)` |
  `void` | `setRejectBySecondary()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductRejectCause

    public ProductRejectCause()

  - ### ProductRejectCause

    public ProductRejectCause​(ProductRejectCause other)

- ## Method Details

  - ### isReject

    public boolean isReject()

  - ### setRejectByDeviceState

    public void setRejectByDeviceState​(int deviceState, boolean reject)

  - ### isRejectByDeviceState

    public boolean isRejectByDeviceState()

  - ### getDeviceState

    public int getDeviceState()

  - ### setRejectByContractStatus

    public void setRejectByContractStatus​(int contractStatus, boolean reject)

  - ### isRejectByContractStatus

    public boolean isRejectByContractStatus()

  - ### getContractStatus

    public int getContractStatus()

  - ### setRejectBySecondary

    public void setRejectBySecondary()

  - ### isRejectBySecondary

    public boolean isRejectBySecondary()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`